Skip to main content

GetAssetIssueListByName

POST

Query the list of all the TRC-10 tokens by a name. (Confirmed state)
Path Parameters
chainstringrequired
Parameter specifying the target chain to query.
networkstringrequired
Parameter specifying the network of the target chain.
Request Body
valuestringrequired
Name of a TRC 10 token, default hexString.
visibleboolean
Optional. Set to true to format addresses in Base58; set to false for hex format. (Default: false)
Responses
assetIssuearray
The list of TRC-10 token with same query name, please refer to GetAssetIssueByAccount for detailed fields of AssetIssueCapsule object, please note that string fields are in HexString format.
cURL
curl -X POST 'https://tron-mainnet.nodit.io/walletsolidity/getassetissuelistbyname' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: nodit-demo' \
-d '{}'